Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_Boolean

Boolean Class
Contained in: global
Derived from: none
Derived by: none
Group: Core (Resources)

#include <ClanLib/core.h>

### public function member index:
### Construction:
`` | `CL_Boolean` | `(`const` `std::string`& `res_id`, `CL_ResourceManager`* `resources`)`;
`` | `CL_Boolean` | `(`const` `std::string`& `res_id`, `CL_ResourceManager`* `resources`, `bool` `def_value`)`;
### Operators:
``operator`` | `bool` | `() `const``;

## Description:

## Function Member Descriptions:

CL_Boolean::CL_Boolean - Boolean Constructor
`` `CL_Boolean``(`const` `std::string`& `res_id`, `CL_ResourceManager`* `resources`)`;

CL_Boolean::CL_Boolean - Boolean Constructor
`` `CL_Boolean``(`const` `std::string`& `res_id`, `CL_ResourceManager`* `resources`, `bool` `def_value`)`;

CL_Boolean::bool - Operator bool
``operator`` `bool``() `const``;

## Variable Member Descriptions: